InsertGeneratedIdentifierDelegate (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id.insert
Interface InsertGeneratedIdentifierDelegate

All Known Implementing Classes:
  AbstractReturningDelegate, AbstractSelectingDelegate, IdentityGenerator.BasicDelegate, IdentityGenerator.GetGeneratedKeysDelegate, IdentityGenerator.InsertSelectDelegate, SelectGenerator.SelectGeneratorDelegate, SequenceIdentityGenerator.Delegate

    public interface InsertGeneratedIdentifierDelegate

Responsible for handling delegation relating to variants in how insert-generated-identifier generator strategies dictate processing:

- building the sql insert statement
- determination of the generated identifier value

Method Summary
`Serializable` | `performInsert(String insertSQL, SessionImplementor session, Binder binder)` Perform the indicated insert SQL statement and determine the identifier value generated.
`IdentifierGeneratingInsert` | `prepareIdentifierGeneratingInsert()` Build a `Insert` specific to the delegate's mode of handling generated key values.

Method Detail

### prepareIdentifierGeneratingInsert

    IdentifierGeneratingInsert prepareIdentifierGeneratingInsert()

  Build a `Insert` specific to the delegate's mode of handling generated key values.

  Returns:
    The insert object.

### performInsert

    Serializable performInsert(String insertSQL,
                               SessionImplementor session,
                               Binder binder)

  Perform the indicated insert SQL statement and determine the identifier value generated.

  Parameters:
    `insertSQL` - The INSERT statement string
    `session` - The session in which we are operating
    `binder` - The param binder
  Returns:
    The generated identifier value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.